<?xml version="1.0" encoding="UTF-8"?>
<object class="root" name="root" title="VFDM">


    <parametr name="rootName" title="Название машины">F100</parametr>
    <parametr name="rootID" title="Название машины">100</parametr>

    
<object class="VisPanel" name="VisPanel">
   <property name="pos">0,0</property>
   <property name="size">75x36</property>              
   <property name="shadow">Sunken</property>
   <property name="shape">Panel</property>
   <property name="color">#5f9ea0</property>


<object class="VisLabel" name="VisLabel">
    <property name="objectName" variable="">lblInfoF_[[[rootID]]]</property>
    <property name="pos">2,2</property>                

    <property name="size">71x15</property>

    <property name="textColor">#000000</property>
    <property name="backgroundColor">#008080</property>
    <property name="autoFillBackground">true</property>
    <property name="shadow">Raised</property>
    <property name="shape">Box</property>
    <property name="alignment">[AlignHCenter, AlignVCenter]</property>
    <property name="wordWrap">false</property>
    <property name="script">
 err = obj.getVar(1);
 conn = obj.getVar(2);
 var strErr=&quot;ok&quot;;
 if(conn==1){
   obj.setBackgroundColor(0xDC143C);
   strErr=&quot;Err_Con&quot;;
 }else{
 if(err&gt;0){
   obj.setTextColor(0xFFFFFF);
   obj.setBackgroundColor(0xDC143C);
   switch(err){
   case 1: 
   strErr=&quot;over-current&quot;;
   break;
   case 2: 
   strErr=&quot;over-voltage&quot;;
   break;
   case 3: 
   strErr=&quot;IGBT Overheat&quot;;
   break;
   case 4: 
   strErr=&quot;none&quot;;
   break;
   case 5: 
   strErr=&quot;Overload&quot;;
   break;
   case 6: 
   strErr=&quot;Overload1&quot;;
   break;
   case 7: 
   strErr=&quot;Overload2&quot;;
   break;
   case 8: 
   strErr=&quot;External fault&quot;;
   break;
   case 9: 
   strErr=&quot;accel 2xCurrent&quot;;
   break;
   case 10: 
   strErr=&quot;decel 2xCurrent&quot;;
   break;
   case 11: 
   strErr=&quot;steady 2xCurrent&quot;;
   break;
   case 12: 
   strErr=&quot;GFF&quot;;
   break;
   case 13: 
   strErr=&quot;Low voltage&quot;;
   break;
   case 14: 
   strErr=&quot;Phase loss&quot;;
   break;
   case 15: 
   strErr=&quot;Base block&quot;;
   break;
   case 16: 
   strErr=&quot;cFA&quot;;
   break;
   case 17: 
   strErr=&quot;codE&quot;;
   break;
   case 18: 
   strErr=&quot;CF1.0&quot;;
   break;
   case 19: 
   strErr=&quot;CF2.0&quot;;
   break;
   case 20: 
   strErr=&quot;HPF1&quot;;
   break;
   case 21: 
   strErr=&quot;HPF2&quot;;
   break;
   case 22: 
   strErr=&quot;HPF3&quot;;
   break;
   case 23: 
   strErr=&quot;HPF4&quot;;
   break;
   case 24: 
   strErr=&quot;U-phase&quot;;
   break;
   case 25: 
   strErr=&quot;V-phase&quot;;
   break;
   case 26: 
   strErr=&quot;W-phase&quot;;
   break;
   case 27: 
   strErr=&quot;DCBUS&quot;;
   break;
   case 28: 
   strErr=&quot;IGBT overheat&quot;;
   break;
   case 29: 
   strErr=&quot;none&quot;;
   break;
   case 30: 
   strErr=&quot;cF1.1&quot;;
   break;
   case 31: 
   strErr=&quot;cF2.1&quot;;
   break;
   case 32: 
   strErr=&quot;AErr&quot;;
   break;
   case 33: 
   strErr=&quot;none&quot;;
   break;
   case 34: 
   strErr=&quot;Motor overheat&quot;;
   break;
   case 35: 
   strErr=&quot;PGErr&quot;;
   break;
   case 40: 
   strErr=&quot;CP10&quot;;
   break;
   case 41: 
   strErr=&quot;dEb&quot;;
   break;
   case 42: 
   strErr=&quot;ACL&quot;;
   break;
   }
   }else{  
     obj.setBackgroundColor(0x008080);
   }
   }
   obj.setText(strErr);
                    </property>
                    <property name="eqVarSet">eqvar_Info</property>
                    <property propname="eqParameters">eqpar</property>
                    <property name="parameterIndex">0</property>
                    <property name="controller"></property>
                    <property name="ctrlInfo"></property>
                    <property name="eqMessages"></property>
                </object>
                
                <object class="VisLabel" name="VisLabel1">
                    <property name="objectName" variable="">lblFreq_[[[rootID]]]</property>
                    <property name="pos">3,18</property>                
                    <property name="size">37x16</property>

                    <property name="textColor">#000000</property>
                    <property name="backgroundColor">#008080</property>
                    <property name="autoFillBackground">true</property>
                    <property name="shadow">Raised</property>
                    <property name="shape">Box</property>
                    <property name="alignment">[AlignHCenter, AlignVCenter]</property>
                    <property name="wordWrap">false</property>
                    <property name="script">
                    c_freq = obj.getVar(0)/100;
                    obj.setTextColor(0x00FF00);
                    obj.setBackgroundColor(0x008080);
                    obj.setText(c_freq);
                    </property>
                    <property name="eqVarSet">eqvar_Freq</property>
                    <property name="parameterIndex">-1</property>
                    <property name="controller"></property>
                    <property name="ctrlInfo"></property>
                    <property name="eqMessages"></property>
                </object>
                
                <object class="VisLabel" name="VisLabel2">
                    <property name="objectName" variable="">lblTok_[[[rootID]]]</property>
                    <property name="pos">41,18</property>                
                    <property name="size">32x16</property>


                    <property name="text">[[[rootID]]]</property>
                    <property name="textColor">#000000</property>
                    <property name="backgroundColor">#008080</property>
                    <property name="autoFillBackground">true</property>
                    <property name="shadow">Raised</property>
                    <property name="shape">Box</property>
                    <property name="alignment">[AlignHCenter, AlignVCenter]</property>
                    <property name="wordWrap">false</property>
                    <property name="script">
                    c_tok = obj.getVar(3)/10;
                    obj.setTextColor(0x00FF00);
                    obj.setBackgroundColor(0x008080);
                    obj.setText(c_tok);
                     </property>
                    <property name="eqVarSet">eqvar_Tok</property>
                    <property name="eqParameters"></property>
                    <property name="parameterIndex">-1</property>
                    <property name="controller"></property>
                    <property name="ctrlInfo"></property>
                    <property name="eqMessages"></property>
                </object>
                
            </object>
            
            <object class="EqVarSet" name="eqvar_Info">
                <property name="objectName" variable="">eqvarInfo_[[[rootID]]]</property>
                <property name="tagRoot">[[[rootID]]]</property>
                <property name="varNames"></property>
            </object>
            
            <object class="EqVarSet" name="eqvar_Freq">
                <property name="objectName" variable="">eqvarFreq_[[[rootID]]]</property>
                <property name="tagRoot">[[[rootID]]]</property>
                <property name="varNames"></property>
            </object>
            
            <object class="EqVarSet" name="eqvar_Tok">
                <property name="objectName" variable="">eqvarTok_[[[rootID]]]</property>
                <property name="tagRoot">[[[rootID]]]</property>
                <property name="varNames"></property>
            </object>

            <object class="EqParSet" name="eqpar">
                <property name="objectName" variable="">eqpar[[[rootID]]]</property>
                <property name="tagRoot">[[[rootID]]]</property>
                <property name="varNames"></property>
            </object>
            
</object>

